/*
 * Project: irond
 * Package: src.de.fhhannover.inform.ifmap.view.component
 * File:    MetadataPanel.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.ifmap.view.component;

import java.awt.Dimension;

import javax.swing.JPanel;
import javax.swing.JTable;
import javax.swing.JScrollPane;
import java.awt.BorderLayout;

public class MetadataPanel extends JPanel {
	private static final long serialVersionUID = 1999982246037981208L;
	public JTable table;

	public MetadataPanel() {
		setPreferredSize(new Dimension(getWidth(), 150));
		setBackground(new java.awt.Color(255, 255, 255));
		setLayout(new BorderLayout(0, 0));
		JScrollPane scrollPane = new JScrollPane();
		scrollPane.setBackground(new java.awt.Color(255, 255, 255));				
		table = new JTable();
		table.setCellSelectionEnabled(true);
		table.setBackground(new java.awt.Color(255, 255, 255));
		table.setAutoResizeMode(JTable.AUTO_RESIZE_ALL_COLUMNS);
		table.setAutoCreateRowSorter(true);
		scrollPane.setViewportView(table);
		add(scrollPane);
	}
}
